## ros-rolling-rcss3d-agent 0.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rcss3d_agent)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcss3d_agent_msgs REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  rclcpp
  rcss3d_agent_msgs)

# Build
add_library(${PROJECT_NAME}
  src/rcss3d_agent.cpp
  src/socket.cpp
  src/socketaddress.cpp
  src/connection.cpp
  src/sexp_parser.cpp
  src/sexp_creator.cpp
  src/sexp_vision.cpp
  external/sexpresso/sexpresso/sexpresso.cpp)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/external/sexpresso>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

ament_export_targets(export_${PROJECT_NAME} HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})

# Install
install(
  DIRECTORY include/
  DESTINATION include)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)

# Test
if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

# Package
ament_package()

=== test/CMakeLists.txt ===
# Build test_sexp_parser
ament_add_gtest(test_sexp_parser
  test_sexp_parser.cpp)

target_link_libraries(test_sexp_parser
  rcss3d_agent
)

# Build test_sexp_creator
ament_add_gtest(test_sexp_creator
  test_sexp_creator.cpp)

target_link_libraries(test_sexp_creator
  rcss3d_agent
)

# Build test_sexp_vision
ament_add_gtest(test_sexp_vision
  test_sexp_vision.cpp)

target_link_libraries(test_sexp_vision
  rcss3d_agent
)

## ros-rolling-rcss3d-agent 0.0.4

=== debian/changelog ===
ros-rolling-rcss3d-agent (0.0.4-1focal) focal; urgency=high

  * adapt to new changes in cpplint about using a leading "./" in include statements
  * Contributors: ijnek

 -- kenji <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 15:00:00 -0000

ros-rolling-rcss3d-agent (0.0.3-1focal) focal; urgency=high

  * follow guidelines for ament library creation
  * move all non public hpp files into src directory
  * separate rcss3d_agent_node into separate package
  * separate JointPos and JointVel for perceptor and effector
  * add subscriptions for joints, beam and say
  * large refactor to purify rcss3d_agent to be a layer between rcssserver3d and ros2
  * update package description
  * copied files across from https://gitlab.com/ijnek/ros2_rcss3d/-/tree/kenji-rolling
  * add sexpresso submodule
  * Contributors: ijnek

 -- kenji <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 15:00:00 -0000

=== debian/control ===
Source: ros-rolling-rcss3d-agent
Section: misc
Priority: optional
Maintainer: kenji <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-rclcpp, ros-rolling-rcss3d-agent-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcss3d-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rcss3d-agent-msgs, ros-rolling-ros-workspace
Description: Launches a RoboCup 3D Simulation Agent, and converts data to and from ROS2 msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-rcss3d-agent//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-rcss3d-agent 0.4.1

=== debian/changelog ===
ros-rolling-rcss3d-agent (0.4.1-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Fri, 01 Jul 2022 07:00:00 -0000

ros-rolling-rcss3d-agent (0.4.0-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Thu, 30 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent (0.3.1-2jammy) jammy; urgency=high

  * only the ball was included in the vision msg, make sure goalposts, flags, field lines and players are transmitted too.
  * Contributors: Kenji Brameld

 -- ijnek <kenjibrameld@gmail.com>  Tue, 28 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent (0.3.0-2jammy) jammy; urgency=high



 -- ijnek <kenjibrameld@gmail.com>  Wed, 15 Jun 2022 07:00:00 -0000

ros-rolling-rcss3d-agent (0.0.7-2jammy) jammy; urgency=high

  * fix phi and theta being swapped around
  * Update package.xml maintainer
  * Contributors: Kenji Brameld, ijnek

 -- ijnek <kenjibrameld@gmail.com>  Sun, 24 Apr 2022 07:00:00 -0000

ros-rolling-rcss3d-agent (0.0.6-2jammy) jammy; urgency=high

  * add missing include for std::optional
  * add effector msg to allow synchronize effector to be used
  * Contributors: ijnek, Scott K Logan

 -- ijnek <kenjibrameld@gmail.com>  Fri, 04 Feb 2022 08:00:00 -0000

ros-rolling-rcss3d-agent (0.0.5-2jammy) jammy; urgency=high

  * add score left and score right to message received from simulator
  * don't rely on the order of items in sexp. Use their path. This prevents buggy code when the sexp is updated on the simulator end in the future.
  * comunicate that the node has to be restarted
  * make error msg easier to understand
  * make sure program can exit when connection to simulator is broken
  * add a model parameter so differnet types of robots can be loaded
  * don't allow sending empty say messages
  * add team name to hear msg
  * fix bug in gamestate parsing
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Thu, 03 Feb 2022 08:00:00 -0000

ros-rolling-rcss3d-agent (0.0.4-2jammy) jammy; urgency=high

  * adapt to new changes in cpplint about using a leading "./" in include statements
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Sat, 29 Jan 2022 08:00:00 -0000

ros-rolling-rcss3d-agent (0.0.3-2jammy) jammy; urgency=high

  * follow guidelines for ament library creation
  * move all non public hpp files into src directory
  * separate rcss3d_agent_node into separate package
  * separate JointPos and JointVel for perceptor and effector
  * add subscriptions for joints, beam and say
  * large refactor to purify rcss3d_agent to be a layer between rcssserver3d and ros2
  * update package description
  * copied files across from https://gitlab.com/ijnek/ros2_rcss3d/-/tree/kenji-rolling
  * add sexpresso submodule
  * Contributors: ijnek

 -- ijnek <kenjibrameld@gmail.com>  Fri, 28 Jan 2022 08:00:00 -0000

=== debian/control ===
Source: ros-rolling-rcss3d-agent
Section: misc
Priority: optional
Maintainer: ijnek <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rclcpp, ros-rolling-rcss3d-agent-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcss3d-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rclcpp, ros-rolling-rcss3d-agent-msgs, ros-rolling-ros-workspace
Description: Launches a RoboCup 3D Simulation Agent, and converts data to and from ROS2 msgs

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
